[API Reference](../README.md) > [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)



# Interface: ITruffleContractFunction

## Hierarchy


 `function`

**↳ ITruffleContractFunction**







## Callable
► **__call**(args?: *`Array`.<`any`>*): `Promise`.<[Hash](../#Hash)>



*Defined in [contractWrapperBase.ts:377](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L377)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| args | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<[Hash](../#Hash)>





## Properties
<a id="estimateGas"></a>

###  estimateGas

**●  estimateGas**:  *`function`* 

*Defined in [contractWrapperBase.ts:381](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L381)*


#### Type declaration
►(args?: *`Array`.<`any`>*): `number`



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| args | `Array`.<`any`>   |  - |





**Returns:** `number`






___

<a id="sendTransaction"></a>

###  sendTransaction

**●  sendTransaction**:  *`function`* 

*Defined in [contractWrapperBase.ts:380](https://github.com/daostack/arc.js/blob/f343aa24/lib/contractWrapperBase.ts#L380)*


#### Type declaration
►(args?: *`Array`.<`any`>*): `Promise`.<[Hash](../#Hash)>



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| args | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<[Hash](../#Hash)>






___


